image: node:10.17.0

pages:
  cache:
    paths:
    - base-v4/node_modules/

  script:
  - npm install -g @angular/cli
  - cd base-v4
  - npm install
  - npm run docs:build
  - mv docs ../public
  artifacts:
    paths:
    - public
  only:
  - master
